OpenVDB: BaseBBox< Vec3T > Struct Template Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
BaseBBox< Vec3T > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for BaseBBox< Vec3T >:

## Public Member Functions
bool | operator== (const BaseBBox &rhs) const
bool | operator!= (const BaseBBox &rhs) const
const Vec3T & | operator[] (int i) const
Vec3T & | operator[] (int i)
Vec3T & | min ()
Vec3T & | max ()
const Vec3T & | min () const
const Vec3T & | max () const
Coord & | translate (const Vec3T &xyz)
BaseBBox & | expand (const Vec3T &xyz)
BaseBBox & | intersect (const BaseBBox &bbox)
| Intersect this bounding box with the given bounding box.
bool | isInside (const Vec3T &xyz)

## Public Attributes
Vec3T | mCoord [2]

## Protected Member Functions
| BaseBBox ()
| BaseBBox (const Vec3T &min, const Vec3T &max)

## Constructor & Destructor Documentation

## ◆ BaseBBox() [1/2]

BaseBBox | ( |  | ) |
| inlineprotected

## ◆ BaseBBox() [2/2]

BaseBBox | ( | const Vec3T & | min,
|  | const Vec3T & | max
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ expand()

BaseBBox & expand | ( | const Vec3T & | xyz | ) |
| inline

## ◆ intersect()

BaseBBox & intersect | ( | const BaseBBox< Vec3T > & | bbox | ) |
| inline

Intersect this bounding box with the given bounding box.

## ◆ isInside()

bool isInside | ( | const Vec3T & | xyz | ) |
| inline

## ◆ max() [1/2]

Vec3T & max | ( |  | ) |
| inline

## ◆ max() [2/2]

const Vec3T & max | ( |  | ) | const
| inline

## ◆ min() [1/2]

Vec3T & min | ( |  | ) |
| inline

## ◆ min() [2/2]

const Vec3T & min | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const BaseBBox< Vec3T > & | rhs | ) | const
| inline

## ◆ operator==()

bool operator== | ( | const BaseBBox< Vec3T > & | rhs | ) | const
| inline

## ◆ operator[]() [1/2]

Vec3T & operator[] | ( | int | i | ) |
| inline

## ◆ operator[]() [2/2]

const Vec3T & operator[] | ( | int | i | ) | const
| inline

## ◆ translate()

Coord & translate | ( | const Vec3T & | xyz | ) |
| inline

## Member Data Documentation

## ◆ mCoord

Vec3T mCoord[2]